Bug 52882 - iup/ifdown fail for multi-homed interfaces
iup/ifdown fail for multi-homed interfaces
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: initscripts (Show other bugs)
roswell
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
http://www.port25.com/updown.text
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-30 10:09 EDT by J|rgen Christoffel
Modified: 2014-03-16 22:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-02 07:44:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes for alias support (2.30 KB, patch)
2001-09-03 23:56 EDT, Bill Nottingham
no flags Details | Diff

  None (edit)
Description J|rgen Christoffel 2001-08-30 10:09:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.6-3.1 i686)

Description of problem:
ifup/ifdown fail to manage interface eth0:1 properly. Using ifup/ifdown on
eth0 alone will manage both eth0 AND eth0:1 at once.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. create /etc/sysconfig/network-scripts/ifcfg-eth0:1 and reboot
2. try ifdown eth0:1
3. try ifup eth0:1
	

Actual Results:  [root@ginger network-scripts]# ifdown eth0:1
Cannot find device "eth0:1"

[root@ginger network-scripts]# ifup eth0:1
Device "eth0:1" does not exist.
Cannot find device "eth0:1"
Error adding address 129.26.248.75 for eth0:1.
WARNING: interface is ignored: No such device
bind: Cannot assign requested address
SIOCADDRT: No such device


Expected Results:  ifup/down should manage eth0:1 independently from eth0
and both should work as they did in earlier releases.

Additional info:
Comment 1 Bill Nottingham 2001-08-30 11:27:04 EDT
What do your ifcfg-eth* look like?
Comment 2 J|rgen Christoffel 2001-08-30 14:51:22 EDT
The contents of the ifcfg-eth* is listed on the page reachable via the URL along
with a detailed log of what happens during ifup/ifdown.

Contents of /etc/sysconfig/network-scripts/ifcfg-eth0 is

DEVICE=eth0
BOOTPROTO=static
BROADCAST=10.13.255.255
IPADDR=10.13.7.1
NETMASK=255.255.0.0
NETWORK=10.13.0.0
ONBOOT=yes

Contents of /etc/sysconfig/network-scripts/ifcfg-eth0:1 is

DEVICE=eth0:1
BOOTPROTO=static
BROADCAST=129.26.248.79
NETWORK=129.26.248.72
NETMASK=255.255.255.248
IPADDR=129.26.248.75
ONBOOT=yes
USERCTL=no
Comment 3 Pekka Savola 2001-09-02 07:44:49 EDT
Problem perhaps is that /sbin/ip should look for interfaces under 'eth0' not as 'eth0:X' itself.  A line is like:

6: eth0: <BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast qlen 100
    link/ether 00:02:b3:1a:e2:bf brd ff:ff:ff:ff:ff:ff
    inet 193.94.160.1/24 brd 193.94.160.255 scope global eth0
    inet 193.94.160.2/24 brd 193.94.160.255 scope global secondary eth0:0

where with old ifconfig, this would have been interface eth0:0..
Comment 4 Bill Nottingham 2001-09-03 23:51:54 EDT
Will be fixed in 6.37-1. relevant diff attached.
Comment 5 Bill Nottingham 2001-09-03 23:56:43 EDT
Created attachment 30774 [details]
fixes for alias support

Note You need to log in before you can comment on or make changes to this bug.